Subject: State of the art svn to git conversion?

From: Neil Schemenauer <[email-masked]>
Date: Mon, 7 Apr 2008 12:50:16 -0600

Hi,

I'm attempting to convert a fairly large SVN repository to git
(about 60000 revisions, quite a few branches and tags).  It looks
like git-svn is the main tool for this purpose but it is very slow.
The initial fetch takes many hours to finish (yes, I'm working
locally) and seems to periodically die after a few thousand
revisions.

Is git-svn really the best tool?  Ideally I would like to feed an
svn dump into some tool and end up with a git repository.  If I
would feed incremental dumps into tool after the initial conversion
that would be even better.

  Neil